package com.chenyang.nse.bussiness.entity.orm.table.core;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_SERVER_INFO_STATUS"
)
public class TCoreServerInfoStatus extends TBaseEntity {
   private String servername;
   private String ip;
   private String port;
   private String isprimaryserver;
   private Date starttime;
   private String isactive;
   private Date createtime;
   private Date updatetime;
   private String remarks;
   private String delflg;
   private String serverid;

   public String getServername() {
      return this.servername;
   }

   public void setServername(String servername) {
      this.servername = servername;
   }

   public String getIp() {
      return this.ip;
   }

   public void setIp(String ip) {
      this.ip = ip;
   }

   public String getPort() {
      return this.port;
   }

   public void setPort(String port) {
      this.port = port;
   }

   public String getIsprimaryserver() {
      return this.isprimaryserver;
   }

   public void setIsprimaryserver(String isprimaryserver) {
      this.isprimaryserver = isprimaryserver;
   }

   public Date getStarttime() {
      return this.starttime;
   }

   public void setStarttime(Date starttime) {
      this.starttime = starttime;
   }

   public String getIsactive() {
      return this.isactive;
   }

   public void setIsactive(String isactive) {
      this.isactive = isactive;
   }

   public Date getUpdatetime() {
      return this.updatetime;
   }

   public void setUpdatetime(Date updatetime) {
      this.updatetime = updatetime;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public String getRemarks() {
      return this.remarks;
   }

   public void setRemarks(String remarks) {
      this.remarks = remarks;
   }

   public String getDelflg() {
      return this.delflg;
   }

   public void setDelflg(String delflg) {
      this.delflg = delflg;
   }

   public String getServerid() {
      return this.serverid;
   }

   public void setServerid(String serverid) {
      this.serverid = serverid;
   }
}
